
NAME=SOCKHTTP

OUTDIR=.

!ifndef MASM
MASM=0
!endif

!if $(MASM)
ASM=ml.exe    -c -coff -Fl$* -Fo$* -I..\..\Include
LINK=link.exe
!else
ASM=jwasm.exe -c -coff -Fl$* -Fo$* -I..\..\Include
LINK=polink.exe
!endif

LIBS=kernel32.lib user32.lib ws2_32.lib
LOPTS= /MAP /SUBSYSTEM:CONSOLE $(LIBDEF) /LIBPATH:..\..\Lib

$(NAME).exe: $*.obj Makefile
	$(LINK) $*.obj $(LOPTS) $(LIBS)

$(NAME).obj: $(NAME).asm Makefile
	$(ASM) $(NAME).asm

CLEAN :
	-@erase "$(OUTDIR)\$(NAME).obj"
	-@erase "$(OUTDIR)\$(NAME).lst"
	-@erase "$(OUTDIR)\$(NAME).map"
	
